Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 227680 - createrepo should want python-urlgrabber
createrepo should want python-urlgrabber
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: createrepo (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-07 10:20 EST by Viacheslav Kaloshin
Modified: 2014-01-21 17:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-14 07:22:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Viacheslav Kaloshin 2007-02-07 10:20:00 EST
# rpm -qa|grep createrepo
createrepo-0.4.4-2.fc6

when i want to create new rpm:

# rpmbuild -ba vztmpl.spec
.....
createrepo .
Traceback (most recent call last):
  File "/usr/share/createrepo/genpkgmetadata.py", line 30, in ?
    import urlgrabber
ImportError: No module named urlgrabber
make[1]: *** [repo] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/fedora-core-6/addons'
make: *** [addons] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.12568 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.12568 (%build)

yum install python-urlgrabber fix this error
Comment 1 Seth Vidal 2007-02-08 00:37:04 EST
The urlgrabber dependency has been removed from upstream createrepo

this isn't really a fix for fc6 but I thought it should be noted.
Comment 2 Andreas Hanke 2007-02-16 08:51:46 EST
In the meantime, everything is the other way round: On the rpm level, createrepo
now requires python-urlgrabber (#214388), but it does not actually use it any more:

http://devel.linux.duke.edu/cgi-bin/viewcvs.cgi/generate/genpkgmetadata.py?root=metadata&r1=1.53&r2=1.54

Please remove the dependency again for createrepo >= 0.4.6 packages.

Note You need to log in before you can comment on or make changes to this bug.